error on line 55 of phpmysqlautobackup_extras.php

Post your support requests/solutions for phpMySQLAutoBackup [website]
snufkin

error on line 55 of phpmysqlautobackup_extras.php

Postby snufkin » Thu Apr 07, 2011 9:00 pm

Have just installed on three sites - everything works well on two sites (thanks!).

On the third site I get the following error:
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /home/nelli4/public_html/admin/phpmysqlautobackup/files/phpmysqlautobackup_extras.php on line 55

I have checked for typos, missed quotes, semi-colons etc. over and over, and I know the login data is correct...

Any idea why this might be happening?

davidgwalker
MODS thats what I do that is! But definately NO mod music! It has to be ROCK!
Posts: 1807
Joined: Mon Oct 25, 2004 8:20 pm
Location: Huddersfield, UK
Contact:

Re: error on line 55 of phpmysqlautobackup_extras.php

Postby davidgwalker » Fri Apr 08, 2011 9:41 am

Hi, thanks for your post.

On that line is:

Code: Select all

      public $error = "";

Like you say it looks fine, well it must be it works fine for most. But I assume its the PHP version running on the host.

Check the PHP versions of each and you may find the one its failing on will be an old version???

Please post your findings to helps others too 8)

Cheers

Dave

snufkin

Re: error on line 55 of phpmysqlautobackup_extras.php

Postby snufkin » Fri Apr 22, 2011 4:39 pm

Thanks for the reply - was pulled away on a project for a spell and am just resurfacing.

The one that is breaking is running php version 4.4.9.

The ones that are fine are running versions 5.2.14 and 5.2.17.

Sounds like a likely culprit, there...

I though about that, but I could not find the on the site anywhere that listed what version of php was required...

I'll upgrade php and let you know if that took care of it... Might take a while as I have an older set of scripts running on that server and I need to have some time available to debug if any are not compatible...

Again, thanks for the help!

davidgwalker
MODS thats what I do that is! But definately NO mod music! It has to be ROCK!
Posts: 1807
Joined: Mon Oct 25, 2004 8:20 pm
Location: Huddersfield, UK
Contact:

Re: error on line 55 of phpmysqlautobackup_extras.php

Postby davidgwalker » Mon Aug 29, 2011 8:56 am

Its the PHP version - it needs to be version 5.

Check with your host and ask them to put you on a better server, or move to a host which keeps their systems uptodate!

Cheers

Dave

francesco.susin - gm
Single hot shot...
Single hot shot...
Posts: 1
Joined: Mon Aug 29, 2011 8:40 am
Location: 0
Contact:

Re: error on line 55 of phpmysqlautobackup_extras.php

Postby francesco.susin - gm » Mon Aug 29, 2011 9:05 am

OK

I will ask the customer to change the PHP version [or host], for now I will use the old version 1.4.0

Thanx a lot.
Francesco


Return to “phpMySQLAutoBackup [forum]”

Who is online

Users browsing this forum: No registered users and 1 guest